import { ParserRuleContext } from "../ParserRuleContext.js";
import { ErrorNode } from "./ErrorNode.js";
import { ParseTree } from "./ParseTree.js";
import { ParseTreeVisitor } from "./ParseTreeVisitor.js";
import { TerminalNode } from "./TerminalNode.js";
export declare abstract class AbstractParseTreeVisitor<T> implements ParseTreeVisitor<T> {
    visit(tree: ParseTree): T | null;
    visitChildren(node: ParserRuleContext): T | null;
    visitTerminal(_node: TerminalNode): T | null;
    visitErrorNode(_node: ErrorNode): T | null;
    protected defaultResult(): T | null;
    protected shouldVisitNextChild(_node: ParserRuleContext, _currentResult: T | null): boolean;
    protected aggregateResult(aggregate: T | null, nextResult: T | null): T | null;
}
