import { Interval } from "../misc/Interval.js";
import { Token } from "../Token.js";
import { ParseTree } from "./ParseTree.js";
import { type ParseTreeVisitor } from "./ParseTreeVisitor.js";
export declare class TerminalNode implements ParseTree {
    parent: ParseTree | null;
    symbol: Token;
    constructor(symbol: Token);
    getChild(_i: number): ParseTree | null;
    getSymbol(): Token;
    getPayload(): Token | null;
    getSourceInterval(): Interval;
    getChildCount(): number;
    accept<T>(visitor: ParseTreeVisitor<T>): T | null;
    getText(): string;
    toString(): string;
    toStringTree(): string;
}
